module Eric_Erb
    def self.color_by_layer
	su_materials = Sketchup.active_model.materials
	my_materials = Hash.new
	my_materials["Layer1"] = su_materials["MaterialName1"]
	my_materials["Layer2"] = su_materials["MaterialName2"]
	# .. and so on. 

	begin
	    Sketchup.active_model.start_operation("Color By Layer", true)
	rescue ArgumentError
	    Sketchup.active_model.start_operation("Color By Layer")
	end
	# Loop through entities & apply material based on layer name
	Sketchup.active_model.entities.each do |entity|
	    if entity.is_a? Sketchup::Drawingelement
		entity.material = my_materials[entity.layer.name]
	    end
	end
	Sketchup.active_model.commit_operation
    end
end

UI.menu('Plugins').add_item("Color by Layer") { Eric_Erb.color_by_layer }


